__gnu_cxx::_Rope_self_destruct_ptr(3)

NAME
__gnu_cxx::_Rope_self_destruct_ptr -

SYNOPSIS

Detailed Description

  template<class _CharT, class _Alloc> struct __gnu_cxx::_Rope_self_destruct_ptr< _CharT, _Alloc >

Definition at line 891 of file rope.

  Public Member Functions
_Rope_self_destruct_ptr (_Rope_RopeRep< _CharT, _Alloc > *__p)
_Rope_self_destruct_ptr ()
_Rope_RopeRep< _CharT, _Alloc > & operator * ()
operator _Rope_RopeRep ()
_Rope_RopeRep< _CharT, _Alloc > * operator-> ()
_Rope_self_destruct_ptr & operator= (_Rope_RopeRep< _CharT, _Alloc > *__x)
~_Rope_self_destruct_ptr ()

  Public Attributes
_Rope_RopeRep< _CharT, _Alloc > * _M_ptr

Author

Generated automatically by Doxygen for libstdc++ from the source code.